PUT
/
v4
/
sequences
/
{id}
/
steps
/
{step_id}
/
templates
/
{template_id}
Update a sequence step template variant
curl --request PUT \
  --url https://api.reply.io/v4/sequences/{id}/steps/{step_id}/templates/{template_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "id": 123,
  "subject": "<string>",
  "body": "<string>",
  "templateId": 2
}
'
{
  "id": 123,
  "subject": "<string>",
  "body": "<string>",
  "templateId": 2
}

Authorizations

X-API-Key
string
header
required

API key passed in the X-API-Key header

Path Parameters

id
integer
required

Sequence Id

step_id
integer
required

Step Id

template_id
integer
required

Template Id

Body

application/json

Individual email template within an email step. Provide either templateId to reference an existing template, or subject and body for inline content.

id
integer

Unique identifier for this email template entry

subject
string | null

Email subject line. Required when templateId is not provided.

body
string | null

Email body content. Required when templateId is not provided.

templateId
integer | null

ID of an existing email template to use. When provided, subject and body are ignored.

Required range: x >= 1

Response

Sequence step template updated successfully

Individual email template within an email step. Provide either templateId to reference an existing template, or subject and body for inline content.

id
integer

Unique identifier for this email template entry

subject
string | null

Email subject line. Required when templateId is not provided.

body
string | null

Email body content. Required when templateId is not provided.

templateId
integer | null

ID of an existing email template to use. When provided, subject and body are ignored.

Required range: x >= 1